package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.TwinDevice;

/**
 * 设备管理Mapper接口
 *
 * @author wukai
 * @date 2025-01-15
 */
public interface TwinDeviceMapper extends BaseMapper<TwinDevice>
{
    /**
     * 查询设备管理
     *
     * @param deviceId 设备管理主键
     * @return 设备管理
     */
    public TwinDevice selectTwinDeviceByDeviceId(Long deviceId);

    /**
     * 查询设备管理列表
     *
     * @param twinDevice 设备管理
     * @return 设备管理集合
     */
    public List<TwinDevice> selectTwinDeviceList(TwinDevice twinDevice);

    /**
     * 新增设备管理
     *
     * @param twinDevice 设备管理
     * @return 结果
     */
    public int insertTwinDevice(TwinDevice twinDevice);

    /**
     * 修改设备管理
     *
     * @param twinDevice 设备管理
     * @return 结果
     */
    public int updateTwinDevice(TwinDevice twinDevice);

    /**
     * 删除设备管理
     *
     * @param deviceId 设备管理主键
     * @return 结果
     */
    public int deleteTwinDeviceByDeviceId(Long deviceId);

    /**
     * 批量删除设备管理
     *
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTwinDeviceByDeviceIds(Long[] deviceIds);
    /**
     * 通过设备编号查询设备
     *
     * @param code 设备编号
     * @return 设备信息
     */
    TwinDevice selectTwinDeviceByCode(String code);
}
